import { type ClassValue, clsx } from 'clsx'
import { twMerge } from 'tailwind-merge'
import { LC } from '@/config/locales'

import { env as dotEnv } from 'process'

export function cn (...inputs: ClassValue[]) {
  return twMerge(clsx(inputs))
}

export function lc (locale: string) {
  return LC.filter(lc => locale === lc.code)[0]
}

export function env (variable: string, defaultValue?: string | ''): string {
  return (dotEnv[variable] ?? defaultValue ?? '')
}

export function tr (el: React.ReactNode, params: object) {

}