export default {
  auth: {
    title: 'Auth',
    subtitle: 'Простий сервіс аутентифікації',
    sign_in: 'Увійти',
    common: {
      something_went_wrong: 'Щось пішло не так!',
    },
    form: {
      login: {
        header_label: 'Вхід до облікового запису',
        back_button_label: 'Не маєте облікового запису?',
      },
      register: {
        header_label: 'Реєстрація облікового запису',
        back_button_label: 'Вже маєте обліковий запис?',
      },

      verification: {
        header_label: 'Підтвердження вашого облікового запису',
        back_button_label: 'Повернутися до форми авторизації',
      },
      error: {
        email_in_use: 'Електронна пошта вже використовується з іншим логін-провайдером!',
        header_label: 'Отакої! Щось пішло не так!',
        back_button_label: 'Назад до форми входу до облікового запису',
        email_taken: 'Не можу створити користувача! Не пройдена верифікація за допомогою вказаної електронної пошти.',
        invalid_fields: 'Недійсні поля!',
        invalid_credentials: 'Недійсні облікові дані!',
        access_denied: 'У доступі відмовлено!',
      },
    },
    email: {
      success: {
        confirmation_email_sent: 'Лист із підтвердженням надіслано!',
      },
      error: {
        verification_email_sending_error: 'Не вдалося надіслати електронний лист для підтвердження!',
      },
    },
  },
  schema: {
    password: {
      required: 'Необхідно ввести пароль',
      length: {
        min: 'Пароль має містити принаймні {min} символів',
        max: 'Максимальна кількість символів у паролі: {max}',
      },
      strength: {
        acme: 'Пароль повинен містити принаймні один малий, приписний, цифровий та спеціальний символ. Довжина паролю має бути від {min} до {max} символів.',
      },
    },
    email: {
      required: 'Невірна адреса електронної пошти',
    },
    name: {
      required: `Необхідно вказати ім'я`,
    },
  },
  form: {
    label: {
      email: 'Електронна пошта',
      password: 'Пароль',
      confirm_password: 'Підтвердьте пароль',
      login: 'Лоґін',
      name: 'Ім\'я та прізвище',
      register: 'Створити обліковий запис',
      continue_with: 'Або продовжити за допомогою',
    },
    placeholder: {
      email: 'polina.melnyk@mocking.net',
      name: 'Поліна Мельник',
    },
  },
} as const